/*
 * mediatypeitem.h: declaration of a class that holds Mediatype data for display.
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */
#ifndef _MEDIATYPEITEM_H
#define _MEDIATYPEITEM_H
#include <vdr/osdbase.h>
class cMediaTypeReader;

class cMenuMediaTypeItem : public cOsdItem {
friend class cMediaTypeReader;	
public:
  cMenuMediaTypeItem() { cMenuMediaTypeItem(0,"",0); };
  cMenuMediaTypeItem(int, char*, int);
 ~cMenuMediaTypeItem();

  int		Id() { return id; }
  char * Name() { return name; }
  int    Count() { return count; }
  void   Compile();

protected: 
  void   SetId(int i) { id = i; }
  void   SetName(char *p) { name = p; }
  void   SetCount(int c) { count = c; }

private:
  int		id;
  char * name;
  int    count;
  };

#endif
